> ## Documentation Index
> Fetch the complete documentation index at: https://docs.s15x.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# Link Info (Discord ID)

> Require discord user Id returns data based on that userId about which roblox account that discord user is attached / linked to



## OpenAPI

````yaml GET /database/linkinfo-discord
openapi: 3.0.3
info:
  title: APIFiddle Sample Definition
  version: 0.0.0
  description: Example workspace
servers:
  - url: https://api.s15x.dev
    description: s15x api url
security: []
tags:
  - name: purchase-api
  - name: account links
  - name: users
  - name: public
paths:
  /database/linkinfo-discord:
    get:
      tags:
        - account links
      summary: Get linked account discord id
      description: >-
        Require discord user Id returns data based on that userId about which
        roblox account that discord user is attached / linked to
      operationId: getLinkedAccountDiscordId
      parameters:
        - $ref: '#/components/parameters/discord-id'
      responses:
        '200':
          description: >-
            The request was successful, and the server has returned the
            requested resource in the response body.
          content:
            application/json:
              schema:
                type: object
                required:
                  - link
                properties:
                  link:
                    type: object
                    required:
                      - id
                      - discord_id
                      - roblox_id
                      - linked_at
                      - unlinked_at
                      - active
                      - updated_at
                    properties:
                      id:
                        type: string
                      discord_id:
                        type: string
                      roblox_id:
                        type: string
                      linked_at:
                        type: string
                      unlinked_at:
                        type: string
                      active:
                        type: boolean
                      metadata:
                        type: object
                      updated_at:
                        type: string
        '400':
          description: >-
            The server could not understand the request due to invalid syntax.
            The client should modify the request and try again.
          content:
            application/json:
              schema:
                type: object
                required:
                  - error
                properties:
                  error:
                    type: string
                    example: 'Bad Request: Missing discord ID'
        '403':
          description: >-
            The server understood the request, but refuses to authorize it.
            Ensure the client has appropriate permissions.
          content:
            application/json:
              schema:
                type: object
                required:
                  - error
                properties:
                  error:
                    type: string
                    example: Validation failed
        '404':
          description: >-
            The server cannot find the requested resource. The endpoint may be
            invalid or the resource may no longer exist.
          content:
            application/json:
              schema:
                type: object
                required:
                  - error
                properties:
                  error:
                    type: string
                    example: 'Not Found: No link found for the provided Discord ID'
      security:
        - API-Authorization: []
components:
  parameters:
    discord-id:
      name: discord-id
      description: discord-id
      in: header
      required: false
      schema:
        type: string
      explode: false
      style: simple
      allowReserved: false
  securitySchemes:
    API-Authorization:
      type: apiKey
      name: API-Authorization
      in: header
      description: 'Required: API key to access'

````